package com.shenghua.controller;

import com.shenghua.dto.PageDto;
import com.shenghua.dto.ProductDTO;
import com.shenghua.entitys.Page;
import com.shenghua.entitys.Result;
import com.shenghua.entitys.product.ProductCategory;
import com.shenghua.service.ProductService;
import com.shenghua.vo.NewsVo;
import com.shenghua.vo.ProductVO;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@RestController
@RequestMapping("/product")
@Api(tags = "产品api")
public class ProductController {

    @Autowired
    private ProductService productService;

    @GetMapping("/getDetail")
    @ApiImplicitParam(value = "ID", name = "id", paramType = "query", required = true)
    @ApiResponses({
            @ApiResponse(code = 200, message = "成功", response = ProductVO.class)
    })
    public Result<ProductVO> getDetail(Integer id){
        ProductVO vo = productService.getDetail(id);
        return Result.success(vo);
    }

    @PostMapping("/queryList")
    @ApiOperation("查询产品列表")
    public Result<List<ProductVO>> queryList(@RequestBody ProductDTO dto){
        return Result.success(productService.queryList(dto))    ;
    }

    @PostMapping("/category")
    @ApiOperation("产品分类")
    public Result<List<ProductCategory>> queryCategory(){
        return Result.success(productService.queryCategory())    ;
    }
}
