package com.shenghua.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.shenghua.annotations.NotNull;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

@Data
public class SolutionContactDTO {

    @TableField("name")
    @ApiModelProperty(value = "姓名")
    @NotBlank(message = "姓名不能为空")
    private String name;

    @TableField("phone")
    @ApiModelProperty(value = "手机")
    @NotNull(message = "手机不能为空")
    @Pattern(regexp = "^1[3-9]\\d{9}$", message = "手机号格式不正确")
    private String phone;
}
