package com.shenghua.entitys;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("case_article")
@ApiModel("案例文章表")
public class CaseArticle {

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @TableField("category_id")
    @ApiModelProperty(value = "分类ID", example = "15")
    private Integer categoryId;

    @TableField("title")
    @ApiModelProperty(value = "标题（150字内）", required = true, example = "产品案例分享")
    private String title;

    @TableField("cover")
    @ApiModelProperty(value = "封面地址", example = "https://example.com/cover.jpg")
    private String cover;

    @TableField("summary")
    @ApiModelProperty(value = "简介（255字内）", required = true, example = "典型案例展示")
    private String summary;

    @TableField("content")
    @ApiModelProperty(value = "详细内容")
    private String content;

    @TableField("sort")
    @ApiModelProperty(value = "排序值，越大越靠前", example = "999")
    private Integer sort = 0;

    @TableField("status")
    @ApiModelProperty(value = "状态 0:下架 1:发布", example = "1")
    private Integer status = 0;

    @TableField("is_recommend")
    @ApiModelProperty(value = "是否推荐 0:否 1:是", example = "1")
    private Integer isRecommend = 0;

    @TableField("create_time")
    @ApiModelProperty(value = "创建时间", example = "2025-06-13 17:35:00")
    private Date createTime;

    @TableField("update_time")
    @ApiModelProperty(value = "修改时间", example = "2025-06-13 17:40:00")
    private Date updateTime;

    @TableField("seoTitle")
    @ApiModelProperty(value = "SEO标题（255字内）")
    private String seoTitle;

    @TableField("seoDescription")
    @ApiModelProperty(value = "SEO描述（长文本）")
    private String seoDescription;

    @TableField("seoKeywords")
    @ApiModelProperty(value = "SEO关键词（255字内）")
    private String seoKeywords;
}
