package com.shenghua.entitys.product;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("product")
@Api(tags = "产品表")
public class Product {
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @TableField("name")
    @ApiModelProperty(value = "产品名称")
    private String name;

    @TableField("category_id")
    @ApiModelProperty(value = "产品分类")
    private Integer categoryId;

    @TableField(value = "type_arr", updateStrategy = FieldStrategy.IGNORED)
    @ApiModelProperty(value = "产品类型字符数组")
    private String typeArr;

    @TableField("cover")
    @ApiModelProperty(value = "封面图路径")
    private String cover;

    @TableField("imgs_relation_id")
    @ApiModelProperty(value = "详情图片关联ID")
    private Integer imgsRelationId;

    @TableField("content")
    @ApiModelProperty(value = "产品介绍")
    private String content;

    @TableField("price")
    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @TableField("specs_id")
    @ApiModelProperty(value = "常规规格参数ID")
    private Integer specsId;

    @TableField("other_specs")
    @ApiModelProperty(value = "其他额外规格")
    private String otherSpecs;

    @TableField("seo_title")
    @ApiModelProperty(value = "SEO标题")
    private String seoTitle;

    @TableField("seo_description")
    @ApiModelProperty(value = "SEO描述")
    private String seoDescription;

    @TableField("seo_keywords")
    @ApiModelProperty(value = "SEO关键词")
    private String seoKeywords;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "产品描述")
    private String desc;

}
